<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add Tariff </strong>
                </h3>
            </div>
            <div class="ibox-title">
                <h4>General Tariff Info </h4>
            </div>

            <div class="ibox-content">
                <form (ngSubmit)="onSubmit(f)" autocomplete="off" #f="ngForm" class="form-horizontal">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Name
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder="Name" name="name" #name="ngModel" [(ngModel)]="Tariff.name"
                                class="form-control" required maxlength="20" autocomplete="off">
                            <div class="error-msg" *ngIf="name.invalid && (name.dirty || name.touched || f.submitted)">
                                <div *ngIf="name.errors.required">Name is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Tariff type
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Tariff type" name="tariff_type"
                                #tariff_type="ngModel" [(ngModel)]="Tariff.tariff_type" (ngModelChange)="checkTariff()"
                                required>
                                <mat-option [value]="tariff_type" *ngFor="let tariff_type of tariff_types">
                                    {{tariff_type}}
                                </mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="tariff_type.invalid && (tariff_type.dirty || tariff_type.touched || f.submitted)">
                                <div *ngIf="tariff_type.errors.required">Tariff type is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Is general
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" name="vehcile_model" #vehicle_model="ngModel"
                                [(ngModel)]="Tariff.is_general">
                                <mat-option value="1">Yes</mat-option>
                                <mat-option value="0">No</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="vehicle_model.invalid && (vehicle_model.dirty || vehicle_model.touched || f.submitted)">
                                <div *ngIf="vehicle_model.errors.required">Vehicle Model is required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Additional splitup applicable for Drivers
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" name="is_for_driver_list" #is_for_driver_list="ngModel"
                                [(ngModel)]="Tariff.is_for_driver_list">
                                <mat-option value="0">For DTC Drivers</mat-option>
                                <mat-option value="1">For External Drivers</mat-option>
                                <mat-option value="2">Both</mat-option>
                                <mat-option value="-1">None</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="is_for_driver_list.invalid && (is_for_driver_list.dirty || is_for_driver_list.touched || f.submitted)">
                                <div *ngIf="is_for_driver_list.errors.required">Additional splitup applicable is
                                    required.</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Additional splitup Details
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <div class="col-sm-8 form-input">
                                <p *ngIf="Tariff.additional_splitup.length==0">No Records</p>
                                <table aria-describedby="General Tariff Info" class="table table-striped driver-listing table-bordered zoom"
                                    *ngIf="Tariff.additional_splitup.length>0">
                                    <thead>
                                        <tr>
                                            <th scope="col">Split ID</th>
                                            <th scope="col">Split up Name</th>
                                            <th scope="col">Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let adddata of Tariff.additional_splitup; let i = index"
                                            [attr.data-index]="i">
                                            <td class="text-center">
                                                {{adddata.id}}
                                            </td>
                                            <td class="text-center">
                                                {{adddata.name}}
                                            </td>
                                            <td class="text-center">
                                                {{adddata.amount}}
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-sm-2 form-input">
                                <button class="btn btn-primary" (click)="AdditionalSplitup()">Edit</button>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle Model
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10">
                            <mat-chip-list #chipList>
                                <mat-chip *ngFor="let model of models" [selectable]="selectable" [removable]="removable"
                                    (removed)="remove(model)" style="font-size:10px;">
                                    {{model.name}}
                                    <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
                                </mat-chip>
                                <input placeholder="select Vehicle Model" #fruitInput [formControl]="modelCtrl"
                                    class="form-control" [matAutocomplete]="autoModel" [matChipInputFor]="chipList">
                            </mat-chip-list>
                            <mat-autocomplete #autoModel="matAutocomplete" (optionSelected)="selected($event)"
                                [displayWith]="displayFnModels">
                                <mat-option *ngFor="let v_model of vehicle_models" [value]="v_model">
                                    {{v_model.name}}
                                </mat-option>
                            </mat-autocomplete>
                        </div>
                        <div class="error-msg"
                            *ngIf="modelCtrl.invalid && (modelCtrl.dirty || modelCtrl.touched || f.submitted)">
                            <div *ngIf="modelCtrl.errors.required">Vehicle Model is required.</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vat
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <input type="text" placeholder=" Vat" autocomplete="off" pattern="[0-9]+([.][0-9]+)?"
                                name="vat" #vat="ngModel" [(ngModel)]="Tariff.vat" class="form-control" required
                                maxlength="7">
                            <div class="error-msg" *ngIf="vat.invalid && (vat.dirty || vat.touched || f.submitted)">
                                <div *ngIf="vat.errors.required">Vat is required.</div>
                                <div [hidden]="!vat.errors.pattern">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label"> Price with vat
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder=" Price with vat" name="price_with_vat"
                                #price_with_vat="ngModel" [(ngModel)]="Tariff.price_with_vat" required>
                                <mat-option value="Yes">Yes</mat-option>
                                <mat-option value="No">No</mat-option>
                            </mat-select>
                            <div class="error-msg"
                                *ngIf="price_with_vat.invalid && (price_with_vat.dirty || price_with_vat.touched || f.submitted)">
                                <div *ngIf="price_with_vat.errors.required">Price with vat is required.</div>
                            </div>
                        </div>
                    </div>
                    <div *ngIf="!hideFields">
                        <div class="ibox-title">
                            <h4>Peek Time </h4>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Is peek tariff
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <select class="form-control" name="is_peek_tariff" #is_peek_tariff="ngModel"
                                    [(ngModel)]="Tariff.is_peek_tariff" required (change)="ShowPeekTime($event)"
                                    [disabled]="checkTariff()">
                                    <option value="" Selected> Is peek tariff</option>
                                    <option value="1">Yes</option>
                                    <option value="0">No</option>
                                </select>
                                <div class="error-msg"
                                    *ngIf="is_peek_tariff.invalid && (is_peek_tariff.dirty || is_peek_tariff.touched || f.submitted)">
                                    <div *ngIf="is_peek_tariff.errors.required">Is peek tariff is required.</div>
                                </div>
                            </div>
                        </div>

                        <div *ngIf="showpeek">
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek days
                                    <i aria-hidden="true" class="mandatory">*</i>
                                </label>
                                <div class="col-sm-10 form-input">
                                    <mat-select multiple name="peek_days" class="form-control" #peek_days="ngModel"
                                        [(ngModel)]="Tariff.peek_days" [required]="'showpeek'">
                                        <mat-option *ngFor="let peek_days of peekDayList" [value]="peek_days.value">
                                            {{peek_days.viewValue}}</mat-option>
                                    </mat-select>
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="peek_days.invalid && (peek_days.dirty || peek_days.touched || f.submitted)">
                                            <div *ngIf="peek_days.errors.required">Peek days is required.</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek start time
                                    <i aria-hidden="true" class="mandatory">*</i>
                                </label>
                                <div class="col-sm-10 form-input">
                                    <input type="time" (click)="checkPeekStartTime()" placeholder="Peek time start"
                                        name="peek_time_start" #peek_time_start="ngModel"
                                        [(ngModel)]="Tariff.peek_time_start" [required]="'showpeek'"
                                        class="form-control" />
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="peek_time_start.invalid && (peek_time_start.dirty || peek_time_start.touched || f.submitted)">
                                            <div *ngIf="peek_time_start.errors.required">Peek start time is required.
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-sm-2 control-label">Peek end time
                                    <i aria-hidden="true" class="mandatory">*</i>
                                </label>
                                <div class="col-sm-10 form-input">
                                    <input type="time" (click)="checkPeekEndTime()" placeholder="Peek time end"
                                        name="peek_time_end" #peek_time_end="ngModel" [required]="'showpeek'"
                                        [(ngModel)]="Tariff.peek_time_end" class="form-control" />
                                    <div class="error-msg" *ngIf="showpeek">
                                        <div
                                            *ngIf="peek_time_end.invalid && (peek_time_end.dirty || peek_time_end.touched || f.submitted)">
                                            <div *ngIf="peek_time_end.errors.required">Peek end time is required.</div>
                                        </div>
                                    </div>
                                    <div class="error-msg" *ngIf="showerror">
                                        {{PeekendError}}
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="ibox-title">
                            <h4>Unit Prices </h4>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Start price(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Start price" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="start_price" #start_price="ngModel"
                                    [(ngModel)]="Tariff.start_price" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="start_price.invalid && (start_price.dirty || start_price.touched || f.submitted)">
                                    <div *ngIf="start_price.errors.required">Start price(AED) is required.</div>
                                    <div [hidden]="!start_price.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Price per distance(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Price per distance" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="price_per_distance" #price_per_distance="ngModel"
                                    [(ngModel)]="Tariff.price_per_distance" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="price_per_distance.invalid && (price_per_distance.dirty || price_per_distance.touched || f.submitted)">
                                    <div *ngIf="price_per_distance.errors.required">Price per distance(AED) is
                                        required.</div>
                                    <div [hidden]="!price_per_distance.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Slow speed(km/h)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder=" Standing price" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="standing_price" #standing_price="ngModel"
                                    [(ngModel)]="Tariff.standing_price" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="standing_price.invalid && (standing_price.dirty || standing_price.touched || f.submitted)">
                                    <div *ngIf="standing_price.errors.required">Slow speed(km/h) is required.</div>
                                    <div [hidden]="!standing_price.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Denomination(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Denomination" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="denomination" #denomination="ngModel"
                                    [(ngModel)]="Tariff.denomination" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="denomination.invalid && (denomination.dirty || denomination.touched || f.submitted)">
                                    <div *ngIf="denomination.errors.required">Denomination(AED) is required.</div>
                                    <div [hidden]="!denomination.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Included in start(min)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Included in start" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="included_in_start" #included_in_start="ngModel"
                                    [(ngModel)]="Tariff.included_in_start" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="included_in_start.invalid && (included_in_start.dirty || included_in_start.touched || f.submitted)">
                                    <div *ngIf="included_in_start.errors.required">Included in start(m) is required.
                                    </div>
                                    <div [hidden]="!included_in_start.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Distance charge unit(min)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Distance charge unit" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="distance_charge_unit"
                                    #distance_charge_unit="ngModel" [(ngModel)]="Tariff.distance_charge_unit"
                                    class="form-control" required maxlength="8" [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="distance_charge_unit.invalid && (distance_charge_unit.dirty || distance_charge_unit.touched || f.submitted)">
                                    <div *ngIf="distance_charge_unit.errors.required">Distance charge unit(m) is
                                        required.</div>
                                    <div [hidden]="!distance_charge_unit.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Meter clock(s)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder=" Standing speed limit" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="standing_speed_limit"
                                    #standing_speed_limit="ngModel" [(ngModel)]="Tariff.standing_speed_limit"
                                    class="form-control" required maxlength="8" [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="standing_speed_limit.invalid && (standing_speed_limit.dirty || standing_speed_limit.touched || f.submitted)">
                                    <div *ngIf="standing_speed_limit.errors.required">Standing speed limit(km/h) is
                                        required.</div>
                                    <div [hidden]="!standing_speed_limit.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Minimum fare(AED)
                                <i aria-hidden="true" class="mandatory">*</i>
                            </label>
                            <div class="col-sm-10 form-input">
                                <input type="text" placeholder="Minimum fare" autocomplete="off"
                                    pattern="[0-9]+([.][0-9]+)?" name="minimum_fare" #minimum_fare="ngModel"
                                    [(ngModel)]="Tariff.minimum_fare" class="form-control" required maxlength="8"
                                    [disabled]="checkTariff()">
                                <div class="error-msg"
                                    *ngIf="minimum_fare.invalid && (minimum_fare.dirty || minimum_fare.touched || f.submitted)">
                                    <div *ngIf="minimum_fare.errors.required">Minimum fare(AED) is required.</div>
                                    <div [hidden]="!minimum_fare.errors.pattern">
                                        Only numbers are allowed.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Companies</label>
                            <div class="col-sm-10  form-input">
                                <mat-select class="form-control" placeholder="Companies" #companies="ngModel" multiple
                                    name="companies" [(ngModel)]="Tariff.companies" required>
                                    <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                                        {{ group.company_name }}</mat-option>
                                </mat-select>
                                <div class="error-msg"
                                    *ngIf="companies.invalid && (minimum_fare.dirty || minimum_fare.touched || f.submitted)">
                                    <div *ngIf="companies.errors.required">Company is required.</div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" [disabled]="Tariff.invalid || showerror"
                                type="submit">Save</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/administration/tariffs']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>